import java.util.zip.ZipOutputStream;
import java.io.OutputStream;
import java.io.IOException;

/**
 * Description:
 */
public class MyZipOutputStream extends ZipOutputStream {

    /**
     * Creates a new ZIP output stream.
     *
     * @param out the actual output stream
     */
    public MyZipOutputStream(OutputStream out) {
        super(out);
    }

    protected void deflate() throws IOException {
        int len = def.deflate(buf, 0, buf.length);
        if (len > 0) {
            encrypt(buf, 0, len);
            out.write(buf, 0, len);
        }
    }

    private void encrypt(byte b[], int off, int len) {
        for (int i = off; i < len; i++) {
            //b[i] = b[i];
            b[i] = (byte) ((b[i] ^ 0x33) & 0xFF);
        }
    }

}
