import java.io.FileOutputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.File;
import java.io.FileInputStream;
import java.util.zip.ZipOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import java.net.URL;
import java.net.URI;
import java.net.URISyntaxException;

/**
 * Description:
 */
public class One {

    private static final String TEST_STRING = "Hi all! That is sample test archive string.";

    public void zip() throws IOException, URISyntaxException {

        FileOutputStream fo = new FileOutputStream("test.zip");
        MyZipOutputStream zo = new MyZipOutputStream(fo);
        zo.putNextEntry(new ZipEntry("test"));
        zo.write(TEST_STRING.getBytes());
        zo.flush();
        zo.close();
    }

    public void unzip() throws IOException {
        byte[] b = new byte[60];
        FileInputStream fi = new FileInputStream("test.zip");
        MyZipInputStream zi = new MyZipInputStream(fi);
        ZipEntry ze = zi.getNextEntry();
        assert ze.getName().equals("test");
        int l = zi.read(b);
        String s = new String(b, 0, l);
        assert s.equals(TEST_STRING);
    }

}
